package main

import (
	"log/slog"

	"gitlab.imt-atlantique.fr/xaal/code/go/core/xaal"
)

func main() {
	cfg, err := parseConfig()
	if err != nil {
		slog.Error("Error parsing configuration file: ", "err", err)
		return
	}
	// spew.Dump(cfg)

	xaal.SetupLogger()
	client := mqttSetup(cfg.brokerHost, cfg.brokerPort)

	eng := xaal.NewEngine()
	gw := NewGW(client, cfg)
	gw.engine = eng
	eng.Run()
	client.Disconnect(250)
	slog.Debug("MQTT disconnected")
}
